#ifndef __KMFRULOPTIONEEDITINTERFACE_H
#define __KMFRULOPTIONEEDITINTERFACE_H

#include <tqobject.h>
#include <tqstring.h>
#include <tqptrlist.h>

#include "kmfplugin.h"


namespace KMF {
class IPTRule;

class KDE_EXPORT KMFRuleOptionEditInterface : public KMFPlugin {
public:
	KMFRuleOptionEditInterface(TQObject *parent = 0, const char* name = 0);
	virtual ~KMFRuleOptionEditInterface();
	virtual void loadRule( IPTRule* ) = 0;
	virtual TQWidget* editWidget() = 0;
	virtual const TQString& optionEditName() const = 0;
	virtual const TQString& description() const = 0;
};
}

#endif // __KMFRULEEDITINTERFACE_H
